Bug 996783 - [abrt] system-config-services-0.101.10-1.fc19: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.48 was not provided by any .service files
[abrt] system-config-services-0.101.10-1.fc19: connection.py:651:call_blockin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:1d8aaaf2af5f4f597f98de16cb3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 19:38 EDT by Sam
Modified: 2015-02-17 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.09 KB, text/plain)
2013-08-13 19:38 EDT, Sam
no flags Details
File: dso_list (68 bytes, text/plain)
2013-08-13 19:38 EDT, Sam
no flags Details
File: environ (1.76 KB, text/plain)
2013-08-13 19:38 EDT, Sam
no flags Details

  None (edit)
Description Sam 2013-08-13 19:38:24 EDT
Version-Release number of selected component:
system-config-services-0.101.10-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.48 was not provided by any .service files

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.48 was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xa0ee30>
args: ()
object_path: '/org/fedoraproject/Config/Services/ServiceHerders/XinetdServiceHerder'
signature: None
bus_name: dbus.UTF8String(':1.48')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.fedoraproject.Config.Services.ServiceHerder'
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Config/Services/ServiceHerders/XinetdServiceHerder, iface: org.fedoraproject.Config.Services.ServiceHerder, member: list_services dest: :1.48>
method: 'list_services'
Comment 1 Sam 2013-08-13 19:38:27 EDT
Created attachment 786347 [details]
File: backtrace
Comment 2 Sam 2013-08-13 19:38:30 EDT
Created attachment 786348 [details]
File: dso_list
Comment 3 Sam 2013-08-13 19:38:32 EDT
Created attachment 786349 [details]
File: environ
Comment 4 Heiko Adams 2013-09-25 10:11:10 EDT
Problem is still present in Fedora 20:

$ system-config-services
Couldn't acquire connection to systemd. Falling back to legacy SysV scheme.
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 49, in <module>
    UIController(use_dbus=use_dbus).run()
  File "/usr/lib/python2.7/site-packages/scservices/gui/__init__.py", line 1230, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "/usr/lib/python2.7/site-packages/scservices/dbus/proxy/serviceherders.py", line 74, in list_services
    return self.herder_interface.list_services()
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "list_services" with signature "" on interface "org.fedoraproject.Config.Services.ServiceHerder" doesn't exist
Comment 5 satellitgo 2013-11-02 08:17:26 EDT
f20-Beta-2 D/L DVD install to HD of KDE x86_64
reported it thru abrt gave this BZ number as already reported.
Comment 6 Fedora End Of Life 2015-01-09 14:26:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:45:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.